export const extractLastWord = (text: string | null ) => {
    if(text && text != null) {
        const words = text.trim().split(" ");
        return words[words.length - 1];
    }
}

export const extractAllWordsBeforeLastSpace = (text: string | null, separator: string) => {
    if(text && text != null) {
        const words = text.trim().split(separator);
        const wordsBeforeLast = words.slice(0, words.length - 1);
        return wordsBeforeLast.join(separator)
    }
}

export const convertStringToDecimal = (str: string) : number | null => {    
        return parseFloat(str) as number | null
}

export const removeFirstCharachter = (str: string) : string | null => { 
   if( str != null) {
    return str.slice(1) 
   } else {
    return null;
   } 
}

export const hyphenateString = (str: string) => {
    const lowercased = str.toLowerCase();
    return lowercased.replace(/[\s_]/g, "-");
}

export const camelCaseString = (str: string) => {
    return str
        .split(/[^a-zA-Z0-9]+/)
        .map((word, index) =>
            index === 0
                ? word.toLowerCase()
                : word.charAt(0).toUpperCase() + word.slice(1).toLowerCase()
        )
        .join('');
}